Error: database "" does not exist

2013-11-09 03:25 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17692

Description

Opening a PostGIS connection whose name hasn't been specified in the connection manager (to rely on libpq defaults) results in this

error being printed in the DBManager window:

Error:

database "" does not exist

Query:

SELECT has_database_privilege('', 'CREATE'), 

       has_database_privilege('', 'TEMP')

Assuming the query is sent to the connected database, the bug would be fixed by changing the query to:

SELECT has_database_privilege(current_database(), 'CREATE'), 

       has_database_privilege(current_database(), 'TEMP');

History

#1 - 2013-11-09 08:23 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#2 - 2014-05-01 12:38 AM - Paolo Cavallini

- Assignee deleted (Giuseppe Sucameli)

#3 - 2014-06-16 03:08 AM - Sandro Santilli

- Assignee set to Sandro Santilli

Fixed with commit:39b3e5fa102a3d61a360aa94dd10394f53491b00 in master

Is 2.4 coming out from master or does it have another branch ?

#4 - 2014-06-16 03:09 AM - Nathan Woodrow

Out of master.

#5 - 2014-06-16 03:09 AM - Nathan Woodrow
- Status changed from Open to Closed

- Resolution set to fixed/implemented

#6 - 2014-06-16 03:34 AM - Sandro Santilli

Sorry, I meant to ask about 2.3, not 2.4 -- is that also coming out of master ?

Also, I've this backported to 2.2, can I push ?

#7 - 2014-06-16 03:34 AM - Nathan Woodrow

2.3 == 2.4
